Package org.linphone.core

# Class CallListenerStub

java.lang.Object
org.linphone.core.CallListenerStub

All Implemented Interfaces:
  `CallListener`

public class CallListenerStub extends Object implements CallListener

## Constructor Summary

Constructors
Constructor
Description
`CallListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAckProcessing(Call call, Headers ack, boolean isReceived)`
Callback for notifying the processing SIP ACK messages.
`void`
`onAudioDeviceChanged(Call call, AudioDevice audioDevice)`
Callback to notify that the audio device has been changed.
`void`
`onAuthenticationTokenVerified(Call call, boolean verified)`
Call authentication token verified callback.
`void`
`onBaudotDetected(Call call, BaudotStandard standard)`
Callback to notify that Baudot tones have been detected in the audio received
from the remote.
`void`
`onCameraNotWorking(Call call, String cameraName)`
Callback to notify that the camera is not working and has been changed to "No
Webcam".
`void`
`onDtmfReceived(Call call, int dtmf)`
Callback for being notified of received DTMFs.
`void`
`onEncryptionChanged(Call call, boolean on, String authenticationToken)`
Call encryption changed callback.
`void`
`onGoclearAckSent(Call call)`
GoClear ACK sent callback.
`void`
`onInfoMessageReceived(Call call, InfoMessage message)`
Callback for receiving info messages.
`void`
`onNextVideoFrameDecoded(Call call)`
Callback to notify a next video frame has been decoded.
`void`
`onReceiveMasterKeyChanged(Call call, String receiveMasterKey)`
Call receive master key changed callback.
`void`
`onReferRequested(Call call, Address referTo)`
Callback for notifying when a call transfer (refer) is requested.
`void`
`onRemoteRecording(Call call, boolean recording)`
Callback to notify that the call is being recorded by the remote.
`void`
`onSecurityLevelDowngraded(Call call)`
Call security level downgraded callback.
`void`
`onSendMasterKeyChanged(Call call, String sendMasterKey)`
Call send master key changed callback.
`void`
`onSnapshotTaken(Call call, String filePath)`
Callback for notifying a snapshot taken.
`void`
`onStateChanged(Call call, Call.State state, String message)`
Call state notification callback.
`void`
`onStatsUpdated(Call call, CallStats stats)`
Callback for receiving quality statistics for calls.
`void`
`onTmmbrReceived(Call call, int streamIndex, int tmmbr)`
Callback for notifying a received TMMBR.
`void`
`onTransferStateChanged(Call call, Call.State state)`
Callback for notifying progresses of transfers.
`void`
`onVideoDisplayErrorOccurred(Call call, int errorCode)`
Callback to notify that there are errors from the video rendering.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallListenerStub

public CallListenerStub()

## Method Details

### onDtmfReceived

public void onDtmfReceived(@NonNull Call call, int dtmf)
Description copied from interface: `CallListener`
Callback for being notified of received DTMFs.

Specified by:
  `onDtmfReceived` in interface `CallListener`
Parameters:
  `call` - `Call` object that received the dtmf
  `dtmf` - The ascii code of the dtmf

### onGoclearAckSent

public void onGoclearAckSent(@NonNull Call call)
Description copied from interface: `CallListener`
GoClear ACK sent callback.

Specified by:
  `onGoclearAckSent` in interface `CallListener`
Parameters:
  `call` - the `Call` on which the GoClear ACK was sent.

### onSecurityLevelDowngraded

public void onSecurityLevelDowngraded(@NonNull Call call)
Description copied from interface: `CallListener`
Call security level downgraded callback.

Specified by:
  `onSecurityLevelDowngraded` in interface `CallListener`
Parameters:
  `call` - `Call` object whose security level is downgraded.

### onEncryptionChanged

public void onEncryptionChanged(@NonNull Call call, boolean on, @Nullable String authenticationToken)
Description copied from interface: `CallListener`
Call encryption changed callback.

Specified by:
  `onEncryptionChanged` in interface `CallListener`
Parameters:
  `call` - `Call` object whose encryption is changed.
  `on` - Whether encryption is activated.
  `authenticationToken` - An authentication_token, currently set for ZRTP kind
  of encryption only.

### onAuthenticationTokenVerified

public void onAuthenticationTokenVerified(@NonNull Call call, boolean verified)
Description copied from interface: `CallListener`
Call authentication token verified callback.

Specified by:
  `onAuthenticationTokenVerified` in interface `CallListener`
Parameters:
  `call` - `Call` object whose authentication is verified.
  `verified` - Whether encryption is verified.

### onSendMasterKeyChanged

public void onSendMasterKeyChanged(@NonNull Call call, @Nullable String sendMasterKey)
Description copied from interface: `CallListener`
Call send master key changed callback.

Specified by:
  `onSendMasterKeyChanged` in interface `CallListener`
Parameters:
  `call` - `Call` object whose encryption is changed.
  `sendMasterKey` - The send master key of the SRTP session.

### onReceiveMasterKeyChanged

public void onReceiveMasterKeyChanged(@NonNull Call call, @Nullable String receiveMasterKey)
Description copied from interface: `CallListener`
Call receive master key changed callback.

Specified by:
  `onReceiveMasterKeyChanged` in interface `CallListener`
Parameters:
  `call` - `Call` object whose encryption is changed.
  `receiveMasterKey` - The receive master key of the SRTP session.

### onInfoMessageReceived

public void onInfoMessageReceived(@NonNull Call call, @NonNull InfoMessage message)
Description copied from interface: `CallListener`
Callback for receiving info messages.

Specified by:
  `onInfoMessageReceived` in interface `CallListener`
Parameters:
  `call` - `Call` whose info message belongs to.
  `message` - `InfoMessage` object.

### onStateChanged

public void onStateChanged(@NonNull Call call, Call.State state, @NonNull String message)
Description copied from interface: `CallListener`
Call state notification callback.

Specified by:
  `onStateChanged` in interface `CallListener`
Parameters:
  `call` - `Call` whose state is changed.
  `state` - The new `Call#State` of the call
  `message` - An informational message about the state.

### onStatsUpdated

public void onStatsUpdated(@NonNull Call call, @NonNull CallStats stats)
Description copied from interface: `CallListener`
Callback for receiving quality statistics for calls.

Specified by:
  `onStatsUpdated` in interface `CallListener`
Parameters:
  `call` - `Call` object whose statistics are notified
  `stats` - `CallStats` object

### onTransferStateChanged

public void onTransferStateChanged(@NonNull Call call, Call.State state)
Description copied from interface: `CallListener`
Callback for notifying progresses of transfers.

Specified by:
  `onTransferStateChanged` in interface `CallListener`
Parameters:
  `call` - `Call` that was transferred
  `state` - The `Call#State` of the call to transfer target at the far
  end.

### onReferRequested

public void onReferRequested(@NonNull Call call, @NonNull Address referTo)
Description copied from interface: `CallListener`
Callback for notifying when a call transfer (refer) is requested.

Specified by:
  `onReferRequested` in interface `CallListener`
Parameters:
  `call` - `Call` associated with the transfer request.
  `referTo` - The target `Address` to which the call is being
  transferred.

### onAckProcessing

public void onAckProcessing(@NonNull Call call, @NonNull Headers ack, boolean isReceived)
Description copied from interface: `CallListener`
Callback for notifying the processing SIP ACK messages.

Specified by:
  `onAckProcessing` in interface `CallListener`
Parameters:
  `call` - `Call` for which an ACK is being received or sent
  `ack` - the ACK `Headers`
  `isReceived` - if true this ACK is an incoming one, otherwise it is an ACK
  about to be sent.

### onTmmbrReceived

public void onTmmbrReceived(@NonNull Call call, int streamIndex, int tmmbr)
Description copied from interface: `CallListener`
Callback for notifying a received TMMBR.

Specified by:
  `onTmmbrReceived` in interface `CallListener`
Parameters:
  `call` - LinphoneCall for which the TMMBR has changed
  `streamIndex` - the index of the current stream
  `tmmbr` - the value of the received TMMBR

### onSnapshotTaken

public void onSnapshotTaken(@NonNull Call call, @NonNull String filePath)
Description copied from interface: `CallListener`
Callback for notifying a snapshot taken.

Specified by:
  `onSnapshotTaken` in interface `CallListener`
Parameters:
  `call` - LinphoneCall for which the snapshot was taken
  `filePath` - the name of the saved file

### onNextVideoFrameDecoded

public void onNextVideoFrameDecoded(@NonNull Call call)
Description copied from interface: `CallListener`
Callback to notify a next video frame has been decoded.

Specified by:
  `onNextVideoFrameDecoded` in interface `CallListener`
Parameters:
  `call` - LinphoneCall for which the next video frame has been decoded

### onCameraNotWorking

public void onCameraNotWorking(@NonNull Call call, @NonNull String cameraName)
Description copied from interface: `CallListener`
Callback to notify that the camera is not working and has been changed to "No
Webcam".
A camera is detected as mis-functionning as soon as it outputs no frames at all
during a period of 5 seconds. This check is only performed on desktop
platforms, in the purpose of notifying camera failures, for example if when a
usb cable gets disconnected.

Specified by:
  `onCameraNotWorking` in interface `CallListener`
Parameters:
  `call` - LinphoneCall for which the next video frame has been decoded
  `cameraName` - the name of the non-working camera

### onVideoDisplayErrorOccurred

public void onVideoDisplayErrorOccurred(@NonNull Call call, int errorCode)
Description copied from interface: `CallListener`
Callback to notify that there are errors from the video rendering.
The error code depends of the implementation.

Specified by:
  `onVideoDisplayErrorOccurred` in interface `CallListener`
Parameters:
  `call` - LinphoneCall
  `errorCode` - error code from render. It depends of the renderer.

### onAudioDeviceChanged

public void onAudioDeviceChanged(@NonNull Call call, @NonNull AudioDevice audioDevice)
Description copied from interface: `CallListener`
Callback to notify that the audio device has been changed.

Specified by:
  `onAudioDeviceChanged` in interface `CallListener`
Parameters:
  `call` - LinphoneCall for which the audio device has changed
  `audioDevice` - the new audio device used for this call

### onRemoteRecording

public void onRemoteRecording(@NonNull Call call, boolean recording)
Description copied from interface: `CallListener`
Callback to notify that the call is being recorded by the remote.

Specified by:
  `onRemoteRecording` in interface `CallListener`
Parameters:
  `call` - LinphoneCall for which the audio is recorded
  `recording` - true if the call is being recorded by the remote, false
  otherwise

### onBaudotDetected

public void onBaudotDetected(@NonNull Call call, BaudotStandard standard)
Description copied from interface: `CallListener`
Callback to notify that Baudot tones have been detected in the audio received
from the remote.

Specified by:
  `onBaudotDetected` in interface `CallListener`
Parameters:
  `call` - LinphoneCall where Baudot tones have been detected
  `standard` - The Baudot standard of the detected tones.